Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/TabulatedToXml.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/TabulatedToXml.groovy	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/TabulatedToXml.groovy	(revision 1615)
@@ -229,7 +229,7 @@
 		String encoding = "UTF-8";
 		
 		TabulatedToXml ttx = new TabulatedToXml(colnames, "debat", tag);
-		for(File tabulatedfile : srcdir.listFiles(IOUtils.FILTER_HIDDEN))
+		for(File tabulatedfile : srcdir.listFiles(IOUtils.HIDDENFILE_FILTER))
 		{
 			if(tabulatedfile.getName().endsWith(".txt"))
 			{
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/DisplayXmlTags.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/DisplayXmlTags.groovy	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/DisplayXmlTags.groovy	(revision 1615)
@@ -61,7 +61,7 @@
 	 */
 	public DisplayXmlTags(File infile) {
 		if (infile.isDirectory()) {
-			for (File f : infile.listFiles(IOUtils.FILTER_HIDDEN)) {
+			for (File f : infile.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 				processxmlFile(f);
 			}
 		} else
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/SAttributesListener.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/SAttributesListener.groovy	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/SAttributesListener.groovy	(revision 1615)
@@ -204,7 +204,7 @@
 	public static SAttributesListener scanFiles(File xmlDirectory, String wordTag) {
 		SAttributesListener listener = new SAttributesListener()
 		listener.W = wordTag
-		for (File xmlFile : xmlDirectory.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File xmlFile : xmlDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (xmlFile.isFile() && !xmlFile.isHidden() && xmlFile.getName().toLowerCase().endsWith(".xml")) {
 				scanFile(xmlFile, listener); // results saved in 'listener' data
 //				println "LISTENER RESULT with ${xmlFile.getName()}: "+listener
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtract.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtract.groovy	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtract.groovy	(revision 1615)
@@ -320,7 +320,7 @@
 		}
 		println maxperfile;
 		
-		def files = directory.listFiles(IOUtils.FILTER_HIDDEN);
+		def files = directory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		for (File infile : files) {
 			if (maxperfile.containsKey(infile.getName())) {
 				File outfile = new File(outdir, infile.getName());
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtractWithMode.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtractWithMode.groovy	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtractWithMode.groovy	(revision 1615)
@@ -362,7 +362,7 @@
 		}
 		println maxperfile;
 		
-		def files = directory.listFiles(IOUtils.FILTER_HIDDEN);
+		def files = directory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		for(File infile : files) {
 			if(maxperfile.containsKey(infile.getName())) {
 				File outfile = new File(outdir, infile.getName());
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/XMLText2TXTCSV.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/XMLText2TXTCSV.groovy	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/XMLText2TXTCSV.groovy	(revision 1615)
@@ -11,7 +11,7 @@
 File metadatafile = Metadatas.findMetadataFile(outdir)
 String csvString = ""
 
-def files = dir.listFiles(IOUtils.FILTER_HIDDEN)
+def files = dir.listFiles(IOUtils.HIDDENFILE_FILTER)
 files.sort()
 for(File f : files) {
 	File outfile = new File(outdir, f.getName()+".txt");
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/ApplyXsl.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/ApplyXsl.groovy	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/ApplyXsl.groovy	(revision 1615)
@@ -222,7 +222,7 @@
 		assert(srcdirectory.canRead())
 		assert(srcdirectory.canExecute())
 		
-		List<File> files = srcdirectory.listFiles(IOUtils.FILTER_HIDDEN);
+		List<File> files = srcdirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		
 		files = files.findAll{item-> item.getName().endsWith(".xml")}
 		
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1615)
@@ -2113,6 +2113,17 @@
 		}
 	}
 
+	/**
+	 * Computes the result if:
+	 *  - it can be computed (checking if all mandatory parameters are set)
+	 *  - it is dirty (manually or from history, if a parameters value has changed since last computing)
+	 * 
+	 * @return
+	 * @throws Exception
+	 */
+	public boolean compute(boolean deepComputing) {
+		return this.compute(new LogMonitor("Computing " + this), deepComputing);
+	}
 
 	/**
 	 * Computes the result if:
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1615)
@@ -383,13 +383,18 @@
 			//				}
 
 			try {
-
-				String className = TXMPreferences.preferencesRootNode.node(parametersNodePath).get("class", ""); //$NON-NLS-1$
-
+				Preferences node = TXMPreferences.preferencesRootNode.node(parametersNodePath);
+				String className = node.get("class", ""); //$NON-NLS-1$
+				
 				// Skip Project object
-				if(className.equals(Project.class.getName()))	{ // already loaded in loadProjectFromProjectScope
+				if (Project.class.getName().equals(className))	{ // already loaded in loadProjectFromProjectScope
 					continue;
 				}
+				
+				if (className == null || className.length() == 0) {
+					Log.warning(NLS.bind("Warning: can not restore object with no class name set with path={0}.", parametersNodePath)); //$NON-NLS-1$
+					continue;
+				}
 
 				Log.fine("\nProject.loadResults(): loading from result node qualifier " + parametersNodePath);
 				//Log.finest("Toolbox.initialize(): class = " + TXMPreferences.getString("class", nodeQualifier));
@@ -400,12 +405,16 @@
 				}
 				Log.fine("Project.loadResults(): class = " + className); //$NON-NLS-1$
 				//					Log.finest("Toolbox.initialize(): parent_uuid = " + TXMPreferences.getString(TXMPreferences.PARENT_UUID, nodeQualifier));
-				Log.fine("Project.loadResults(): parent_uuid = " + TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, "")); //$NON-NLS-1$
-				String bundleId = TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.BUNDLE_ID, ""); //$NON-NLS-1$
+				Log.fine("Project.loadResults(): parent_uuid = " + node.get(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, "")); //$NON-NLS-1$
+				String bundleId = node.get(TXMPreferences.BUNDLE_ID, ""); //$NON-NLS-1$
+				if (bundleId == null || bundleId.length() == 0) {
+					Log.warning(NLS.bind("Warning: can not restore {0} object with no bundle id set.", className)); //$NON-NLS-1$
+					continue;
+				}
 				Log.fine("Project.loadResults(): bundle_id = " + bundleId); //$NON-NLS-1$
 				Bundle bundle = Platform.getBundle(bundleId);
 				if (bundle == null) {
-					Log.warning("Warning: can not restore object with bundle name " + bundleId); //$NON-NLS-1$
+					Log.warning(NLS.bind("Warning: can not restore {0} object with bundle id={1}.", className, bundleId)); //$NON-NLS-1$
 					continue;
 				}
 
@@ -1176,19 +1185,22 @@
 
 				//Log.finest("Toolbox.initialize(): checking result type linked to node path " + parametersNodePath);
 
-				String className = TXMPreferences.preferencesRootNode.node(parametersNodePath).get("class", ""); //$NON-NLS-1$
-
-				if(!className.equals(Project.class.getName()))	{ // only load Project class
+				Preferences node = TXMPreferences.preferencesRootNode.node(parametersNodePath);
+				String className = node.get("class", ""); //$NON-NLS-1$
+				
+				if (className == null || className.length() == 0) {
+					Log.warning(NLS.bind("Warning: can not restore object with no class name set with path={0}.", parametersNodePath)); //$NON-NLS-1$
 					continue;
 				}
+				
+				if (!className.equals(Project.class.getName()))	{ // only load the Project class
+					continue;
+				}
 
 				Log.fine("Toolbox.initialize(): loading from result node path " + parametersNodePath);
-				//Log.finest("Toolbox.initialize(): class = " + TXMPreferences.getString("class", nodeQualifier));
-				//TXMPreferences.dump();
-
-				Log.finest("Toolbox.initialize(): class = " + className); //$NON-NLS-1$
-				Log.finest("Toolbox.initialize(): parent_uuid = " + TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, "")); //$NON-NLS-1$
-				String bundleId = TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.BUNDLE_ID, ""); //$NON-NLS-1$
+				//Log.finest("Toolbox.initialize(): class = " + TXMPreferences.getString("class", nodeQualifier)nodeitialize(): class = " + className); //$NON-NLS-1$
+				Log.finest("Toolbox.initialize(): parent_uuid = " + node.get(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, "")); //$NON-NLS-1$
+				String bundleId = node.get(TXMPreferences.BUNDLE_ID, ""); //$NON-NLS-1$
 				Log.finest("Toolbox.initialize(): bundle_id = " + bundleId); //$NON-NLS-1$
 				Bundle bundle = Platform.getBundle(bundleId);
 				if (bundle == null) {
@@ -1205,6 +1217,8 @@
 				if (!result.isInternalPersistable())	{
 					result.setUserPersistable(true);	
 				}
+				
+				return; // only one Project.class loaded per RCP project
 			} catch (Exception e) {
 				// TODO Auto-generated catch block
 				e.printStackTrace();
Index: tmp/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1615)
@@ -396,5 +396,13 @@
 				e.printStackTrace();
 			}
 		}
+		
+		for (TXMResult corpus : this.getDeepChildren(CorpusBuild.class)) {
+			CorpusBuild cb = (CorpusBuild)corpus;
+			if (!cb.compute(false)) {
+				System.out.println("Deleting duplicated corpus: "+cb+" of "+cb.getProject());
+				cb.delete();
+			}
+		}
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.core/src/java/org/txm/importer/scripts/filters/FilterManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/scripts/filters/FilterManager.java	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/importer/scripts/filters/FilterManager.java	(revision 1615)
@@ -64,7 +64,7 @@
 			System.out
 					.println(NLS.bind(TXMCoreMessages.filterManagerErrorColonInitializationP0NotFound, path)); 
 		else {
-			File[] list = home.listFiles(IOUtils.FILTER_HIDDEN);
+			File[] list = home.listFiles(IOUtils.HIDDENFILE_FILTER);
 			for (File f : list)
 				if (f.isDirectory()) {
 					this.hashtable.put(f.getName(), f.getPath());
Index: tmp/org.txm.core/src/java/org/txm/importer/scripts/filters/CatalogManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/scripts/filters/CatalogManager.java	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/importer/scripts/filters/CatalogManager.java	(revision 1615)
@@ -58,7 +58,7 @@
 			System.out
 					.println(NLS.bind(TXMCoreMessages.managerErrorDuringInitializationColonP0NotFound, path)); 
 		else {
-			File[] list = home.listFiles(IOUtils.FILTER_HIDDEN);
+			File[] list = home.listFiles(IOUtils.HIDDENFILE_FILTER);
 			for (File f : list)
 				this.put(f.getName(), new Catalog(f.getPath()));
 		}
Index: tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java	(revision 1615)
@@ -508,7 +508,7 @@
 	 */
 	public static boolean processWithMultipleXSL(File[] filesToProcess, File xslDirectory, HashMap<String, Object> xslParams) throws TransformerException, IOException {
 		if (xslDirectory.exists()) {
-			File[] xslFiles = xslDirectory.listFiles(IOUtils.FILTER_HIDDEN);
+			File[] xslFiles = xslDirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 			Arrays.sort(xslFiles);
 			return processWithMultipleXSL(filesToProcess, xslFiles, xslParams);
 		} else {
@@ -563,7 +563,7 @@
 		assert(srcdirectory.canRead());
 		assert(srcdirectory.canExecute());
 
-		File[] files = srcdirectory.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] files = srcdirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		System.out.println("process : "+srcdirectory+"/*");
 		System.out.println("with : "+xslfile);
 		long bigstart = System.currentTimeMillis();
Index: tmp/org.txm.core/src/java/org/txm/importer/Convert5To6.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/Convert5To6.java	(revision 1614)
+++ tmp/org.txm.core/src/java/org/txm/importer/Convert5To6.java	(revision 1615)
@@ -86,12 +86,12 @@
 			return false;
 		}
 
-		return REGISTRY.listFiles(IOUtils.FILTER_HIDDEN).length > 0;
+		return REGISTRY.listFiles(IOUtils.HIDDENFILE_FILTER).length > 0;
 	}
 
 	private boolean process() throws Exception {
 		System.out.println(TXMCoreMessages.processing);
-		String corpusname = REGISTRY.listFiles(IOUtils.FILTER_HIDDEN)[0].getName().toUpperCase();
+		String corpusname = REGISTRY.listFiles(IOUtils.HIDDENFILE_FILTER)[0].getName().toUpperCase();
 
 		// create the corpus directories
 		File HTMLc = new File(HTMLs, corpusname); 
@@ -103,7 +103,7 @@
 		// mkdirs
 		HTMLc.mkdir();
 		HTMLcmulti.mkdir();
-		File[] files = HTMLs.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] files = HTMLs.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files != null && files.length > 1)
 			HTMLconepage.mkdir();
 		TXMc.mkdir();
@@ -111,16 +111,16 @@
 		
 		System.out.println(NLS.bind(TXMCoreMessages.reorganizingFilesOfP0, OUTDIR));
 		// move files
-		for (File f : HTMLmulti.listFiles(IOUtils.FILTER_HIDDEN))
+		for (File f : HTMLmulti.listFiles(IOUtils.HIDDENFILE_FILTER))
 			f.renameTo(new File(HTMLcmulti, f.getName()));
 		if (HTMLconepage.exists()) {
-			for (File f : HTMLs.listFiles(IOUtils.FILTER_HIDDEN))
+			for (File f : HTMLs.listFiles(IOUtils.HIDDENFILE_FILTER))
 				if (f.isFile())
 					f.renameTo(new File(HTMLconepage, f.getName()));
 		}
-		for (File f : DATAs.listFiles(IOUtils.FILTER_HIDDEN))
+		for (File f : DATAs.listFiles(IOUtils.HIDDENFILE_FILTER))
 			f.renameTo(new File(DATAc, f.getName()));
-		for (File f : TXMs.listFiles(IOUtils.FILTER_HIDDEN))
+		for (File f : TXMs.listFiles(IOUtils.HIDDENFILE_FILTER))
 			f.renameTo(new File(TXMc, f.getName()));
 
 		// remove unused dir
@@ -182,7 +182,7 @@
 		//process xml-txm files
 		//params.addEditionDefinition(corpusElem, "default", "groovy", "");
 		params.addEditionDefinition(corpusElem, "onepage", "groovy", ""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		for (File txmFile : TXMc.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File txmFile : TXMc.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			System.out.println(NLS.bind(TXMCoreMessages.processingTextColonP0, txmFile));
 			String textname = txmFile.getName();
 			textname = textname.substring(0, textname.lastIndexOf(".")); //$NON-NLS-1$
@@ -190,7 +190,7 @@
 			Element textElem = params.addText(corpusElem, textname, txmFile);
 			Element editionElem = params.addEdition(textElem, "default", HTMLc.getAbsolutePath(), "html"); //$NON-NLS-1$ //$NON-NLS-2$
 			
-			File[] htmlfiles = HTMLcmulti.listFiles(IOUtils.FILTER_HIDDEN);
+			File[] htmlfiles = HTMLcmulti.listFiles(IOUtils.HIDDENFILE_FILTER);
 			Arrays.sort(htmlfiles, new Comparator<File>() {
 				@Override
 				public int compare(File arg0, File arg1) {
@@ -209,7 +209,7 @@
 			// add default Edition
 			if (HTMLconepage.exists()) {
 				editionElem = params.addEdition(textElem, "onepage", HTMLc.getAbsolutePath(), "html"); //$NON-NLS-1$ //$NON-NLS-2$
-				htmlfiles = HTMLconepage.listFiles(IOUtils.FILTER_HIDDEN);
+				htmlfiles = HTMLconepage.listFiles(IOUtils.HIDDENFILE_FILTER);
 				pagecounter = 1;
 				for (File page : htmlfiles) {
 					if (page.getName().startsWith(textname)) {
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 1614)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 1615)
@@ -209,32 +209,32 @@
 	
 
 	/**
-	 * Gets the left context size.
+	 * Gets the Line left context size.
 	 * 
 	 * @return the left context size
 	 */
 	public int getLeftContextSize() {
-//		if (leftCtxViewPropertiesValues.values().size() == 0) return 0;
+		if (leftCtxViewPropertiesValues.values().size() == 0) return 0;
 		return leftCtxViewPropertiesValues.values().iterator().next().size();
 	}
 
 	/**
-	 * Gets the keywords size.
+	 * Gets the Line keywords size.
 	 * 
 	 * @return the keywords size
 	 */
 	public int getKeywordsSize() {
-//		if (keywordsViewValues.values().size() == 0) return 0;
+		if (keywordsViewValues.values().size() == 0) return 0;
 		return keywordsViewValues.values().iterator().next().size();
 	}
 
 	/**
-	 * Gets the right context size.
+	 * Gets the Line right context size.
 	 * 
 	 * @return the right context size
 	 */
 	public int getRightContextSize() {
-//		if (rightCtxViewValues.values().size() == 0) return 0;
+		if (rightCtxViewValues.values().size() == 0) return 0;
 		return rightCtxViewValues.values().iterator().next().size();
 	}
 
@@ -272,6 +272,9 @@
 	 */
 	public String leftContextToString(String propertySeparator,
 			String wordSeparator, int limit, LineDecorator decorator) {
+		
+		if (getLeftContextSize() == 0) return "";
+		
 		int currentPos = keywordpos - getLeftContextSize();
 		
 		List<String> words = new ArrayList<String>();
@@ -377,11 +380,13 @@
 	 */
 	public String rightContextToString(String propertySeparator,
 			String wordSeparator, int limit, LineDecorator decorator) {
+		int s = getKeywordsSize();
+		if (s == 0) return "";
+		
 		List<String> words = new ArrayList<String>();
 		Map<Property, List<String>> values = getRightCtxViewProperties();
 		int max = (limit == -1) ? (values.get(concordance.getRightViewProperties().get(0)).size()) : (limit);
 		
-		int s = getKeywordsSize();
 		int currentPos = keywordpos + s;
 		//System.out.println("Line "+keywordToString()+" right context, currentpos="+currentPos+" keywordpos="+keywordpos+" keywordlength="+s);
 		for (int i = 0; i < max; i++) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 1614)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 1615)
@@ -83,7 +83,7 @@
 		int langToSelectIndex = -1;
 		int added = 0;
 		String modelsDir = TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.MODELS_PATH);
-		File files[] = new File(modelsDir).listFiles(IOUtils.FILTER_HIDDEN);
+		File files[] = new File(modelsDir).listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files != null && files.length > 0) {
 			for (File model : files) {
 				if (!model.getName().endsWith(".par")) continue;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1614)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1615)
@@ -32,8 +32,11 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
+import org.txm.core.results.TXMResult;
+import org.txm.objects.BaseOldParameters;
 import org.txm.objects.Project;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.logger.Log;
 import org.txm.utils.zip.Zip;
@@ -58,7 +61,7 @@
 	 * @return the base
 	 * @throws Exception the exception
 	 */
-	public static Project loadBinaryCorpus(File zipFile, IProgressMonitor monitor) throws Exception {
+	public static Project loadBinaryCorpusArchive(File zipFile, IProgressMonitor monitor) throws Exception {
 		//ZIPPED FILE
 		if (monitor != null) monitor.beginTask(TXMUIMessages.loadingBinaryCorpus, 100);
 		if (monitor != null) monitor.subTask(TXMUIMessages.extractingBinaryCorpus);
@@ -70,6 +73,12 @@
 			System.out.println("Aborting loading of "+zipFile+". A corpus with the same name already exists.");
 			return null;
 		}
+		
+		File corpusDirectory = new File(Toolbox.workspace.getLocation(), basedirname);
+		if (corpusDirectory.exists()) {
+			System.out.println("Aborting loading of "+zipFile+". A directory with the same name already exists: "+corpusDirectory);
+			return null;
+		}
 
 		if (!canLoad(zipFile)) {
 			Log.severe(NLS.bind(TXMUIMessages.binaryCorpusIsNotATXM080CorpusNoSettingsNorProjectFile, zipFile.getName()));
@@ -89,7 +98,7 @@
 		if (monitor != null) monitor.worked(50);
 
 		if (monitor != null) monitor.subTask(TXMUIMessages.loadingTheCorpusInThePlatform);
-		File corpusDirectory = new File(Toolbox.workspace.getLocation(), basedirname);
+		
 
 		// test with CQP MainCorpus name
 		File dataDirectory = new File(corpusDirectory, "data");
@@ -136,7 +145,17 @@
 			return null;
 		}
 
-		Toolbox.workspace.saveParameters();
-		return project;
+		boolean ok = true;
+		for (TXMResult r : project.getChildren(MainCorpus.class)) {
+			MainCorpus c = (MainCorpus)r;
+			ok = ok && c.compute(false);
+		}
+		if (ok) {
+			project.saveParameters();
+			return project;
+		} else {
+			project.delete();
+			return null;
+		}
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 1614)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 1615)
@@ -12,8 +12,10 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.objects.Project;
 import org.txm.rcp.commands.CloseEditorsUsing;
+import org.txm.rcp.commands.RestartTXM;
 import org.txm.rcp.handlers.scripts.ExecuteImportScript;
 import org.txm.rcp.utils.JobHandler;
+import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 
 public class UpdateCorpus extends AbstractHandler {
@@ -62,6 +64,14 @@
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				if (project.compute(monitor)) {
+					
+					this.syncExec(new Runnable() {
+						
+						@Override
+						public void run() {
+							RestartTXM.reloadViews();
+						}
+					});
 					return Status.OK_STATUS;
 				} else {
 					return Status.CANCEL_STATUS;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1614)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1615)
@@ -132,14 +132,18 @@
 				}
 				this.releaseSemaphore();
 
+				for (Project newProject2 : newProjects) {
+					try {
+						newProject2.compute(true);
+					} catch (Exception e) {
+						e.printStackTrace();
+					}
+				}
+				System.out.println(NLS.bind(TXMUIMessages.P0CorpusLoaded, newProjects.size()));
+				
 				this.syncExec(new Runnable() {
 					@Override
 					public void run() {
-						
-						for (Project newProject2 : newProjects) {
-							newProject2.compute();
-						}
-						System.out.println(NLS.bind(TXMUIMessages.P0CorpusLoaded, newProjects.size()));
 						RestartTXM.reloadViews();
 						System.err.println(TXMUIMessages.info_txmIsReady);
 						StatusLine.setMessage(TXMUIMessages.info_txmIsReady);
@@ -179,7 +183,10 @@
 			job.releaseSemaphore();
 
 			monitor.subTask(TXMUIMessages.loadingTheCorpusInThePlatform);
-			for (File corpusDirectory : corporaDirectory.listFiles(IOUtils.FILTER_HIDDEN)) {
+			for (File corpusDirectory : corporaDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)) {
+				if (corpusDirectory.isHidden()) {
+					continue;
+				}
 				
 				Project project = Toolbox.workspace.getProject(corpusDirectory.getName().toUpperCase());
 				if (project != null) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 1614)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 1615)
@@ -51,7 +51,7 @@
 		String basedirname = Zip.getRoot(zipFile);
 		return Zip.hasEntries(zipFile, basedirname+"/import.xml", basedirname+"/data/", basedirname+"/txm/", basedirname+"/HTML/", basedirname+"/registry/");
 	}
-	
+
 	/**
 	 * Load a 0.7.9 binary corpus archive: 
 	 * 
@@ -66,22 +66,28 @@
 
 		final File corporaDir = Toolbox.workspace.getLocation(); //$NON-NLS-1$
 		corporaDir.mkdir();
-		
+
 		String basedirname = Zip.getRoot(zipFile);
-		
+
 		Project p = Toolbox.workspace.getProject(basedirname.toUpperCase());
 		if (p != null) {
 			System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile));
 			return null;
 		}
 		
+		File corpusDirectory = new File(corporaDir, basedirname);
+		if (corpusDirectory.exists()) {
+			System.out.println("Aborting loading of "+zipFile+". A directory with the same name already exists: "+corpusDirectory);
+			return null;
+		}
+
 		if (!canLoad(zipFile)) {
 			System.out.println(TXMUIMessages.binaryCorpusIsNotATXM079CorpusNoImportXmlFile);	
 			return null;
 		}
 
 		System.out.println(NLS.bind(TXMUIMessages.loadingTheP0BinaryCorpusAsATXM079Corpus, zipFile.getName()));
-		
+
 		//ZIPPED FILE
 		monitor.beginTask(TXMUIMessages.loadingBinaryCorpus, 100);
 		monitor.subTask(TXMUIMessages.extractingBinaryCorpus);
@@ -127,15 +133,17 @@
 			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusFromDirectoryColonP0WeCannotFindTheNecessaryComponents, binCorpusDirectory)); 
 			return null;
 		}
-		
+
 		MainCorpus c = new MainCorpus(project);
 		BaseOldParameters params = new BaseOldParameters(new File(binCorpusDirectory, "import.xml"));
 		params.load();
 		c._load(params.getCorpusElement());
-		
-		project.saveParameters(true);
-
-		//Toolbox.workspace.save();
-		return project;
+		if (c.compute(false)) {
+			project.saveParameters(true);
+			return project;
+		} else {
+			project.delete();
+			return null;
+		}
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1614)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1615)
@@ -118,10 +118,11 @@
 
 				zipFile = new File(path, filename);
 				LastOpened.set(ID, zipFile);
+			} else {
+				return null;
 			}
 		}
 
-
 		return loadBinaryCorpusArchive(zipFile);
 	}
 
@@ -268,7 +269,7 @@
 
 			//CHECK ZIPPED FILE
 			if (Load080BinaryCorpus.canLoad(zipFile)) {
-				project = Load080BinaryCorpus.loadBinaryCorpus(zipFile, monitor);
+				project = Load080BinaryCorpus.loadBinaryCorpusArchive(zipFile, monitor);
 			} else if (Load079BinaryCorpus.canLoad(zipFile)) {
 				project = Load079BinaryCorpus.loadBinaryCorpusArchive(zipFile, monitor);
 			} else {
@@ -276,7 +277,7 @@
 				return null;
 			}
 			if (project == null) {
-				System.out.println(NLS.bind("Error: could not load {0} corpus.", zipFile));
+				System.out.println(NLS.bind("Error: could not load the {0} corpus.", zipFile));
 				return null; 
 			}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1614)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1615)
@@ -781,7 +781,7 @@
 
 		corporaDir = new File(txmhomedir, "corpora"); //$NON-NLS-1$
 
-		File[] corporaDirFiles = corporaDir.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] corporaDirFiles = corporaDir.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (corporaDir.exists() && corporaDirFiles != null && corporaDirFiles.length > 0) { // if the txmhomedir is not empty, try to restore its content
 			Display.getDefault().syncExec(new Runnable() {
 				@Override
@@ -807,7 +807,7 @@
 					DeleteDir.deleteDirectory(oldbackup); // ]8)
 				}
 
-				File[] corpDirs = corporaDir.listFiles(IOUtils.FILTER_HIDDEN);
+				File[] corpDirs = corporaDir.listFiles(IOUtils.HIDDENFILE_FILTER);
 				ArrayList<String> moved = new ArrayList<String>();
 				ArrayList<String> failed = new ArrayList<String>();
 
Index: tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportGlozzCorpus.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportGlozzCorpus.java	(revision 1614)
+++ tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportGlozzCorpus.java	(revision 1615)
@@ -182,7 +182,7 @@
 						}
 						Corpus analecCorpus = URSCorpora.getCorpus(corpus);
 						analecCorpus.clearAll(); // remove all : annotations, structure
-						File[] ecFiles = ecDir.listFiles(IOUtils.FILTER_HIDDEN);
+						File[] ecFiles = ecDir.listFiles(IOUtils.HIDDENFILE_FILTER);
 						Arrays.sort(ecFiles);
 						for (File ecFile : ecFiles) {
 							FichiersJava.concatener(ecFile, analecCorpus);
